> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit document collection

> Submit document collection.



## OpenAPI

````yaml /reference/manage-vanta.json post /documents/{documentId}/submit
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /documents/{documentId}/submit:
    post:
      tags:
        - Documents
      summary: Submit document collection
      description: Submit document collection.
      operationId: SubmitDocumentCollection
      parameters:
        - in: path
          name: documentId
          required: true
          schema:
            type: string
      responses:
        '204':
          description: No content
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Upload a document](/docs/guides/upload-a-document.md)
- [Submit risk scenario for approval](/api-reference/risk-scenarios/submit-risk-scenario-for-approval.md)
- [Publish your integration](/docs/guides/list-your-integration.md)
- [Make your first API call to Vanta](/docs/quickstart/manage-vanta.md)
- [Create vendors with evidence](/docs/guides/create-vendors-and-attach-documentation.md)
